Index: swig/Portfile
===================================================================
--- swig/Portfile	(revision 59851)
+++ swig/Portfile	(working copy)
@@ -4,6 +4,7 @@
 
 name		swig
 version		1.3.40
+revision    1
 
 categories	devel
 maintainers	kevin jwa
@@ -36,12 +37,13 @@
     reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
 }
 
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
+foreach lang {python perl5 gcj guile mzscheme ruby php ocaml pike lua chicken allegrocl clisp r tcl csharp octave java} {
+    configure.args-append --without-${lang}
+}
 
 build.target
 
-set languages   {typemaps java}
+set languages   [list typemaps]
 set docdir      ${prefix}/share/doc/${name}-${version}
 
 test.run        yes
@@ -66,42 +68,5 @@
     }
 }
 
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
 livecheck.type      sourceforge
 livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
Index: swig-allegro/Portfile
===================================================================
--- swig-allegro/Portfile	(revision 59851)
+++ swig-allegro/Portfile	(working copy)
@@ -1,107 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
+PortGroup swigbinding 1.0
 
-name		swig
-version		1.3.40
+swigbinding-setup   allegro Allegro
+version             1.3.40
 
-categories	devel
-maintainers	kevin jwa
+maintainers         nomaintainer
 
-description	Tool to wrap C/C++ libraries in high-level languages.
-long_description	\
-    SWIG is a software development tool that connects programs written in C \
-    and C++ with a variety of high-level programming languages. SWIG is \
-    primarily used with common scripting languages such as Perl, Python, \
-    Tcl/Tk, Ruby, Guile and MzScheme, however the list of supported languages \
-    also includes non-scripting languages such as Java and OCAML. SWIG is \
-    most commonly used to create high-level interpreted programming \
-    environments, user interfaces, and as a tool for testing and \
-    prototyping C/C++ software. SWIG may be freely used, distributed, and \
-    modified for commercial and noncommercial use.
-
-homepage	http://www.swig.org/
-platforms	darwin
-master_sites	sourceforge
 checksums           md5     2df766c9e03e02811b1ab4bba1c7b9cc \
                     sha1    7e7a426579f2d2d967b731abf062b33aa894fb4e \
                     rmd160  318a59b0ea2b20ca987f7e662e0d7138c869295a
-
-
-depends_build	port:bison \
-    port:gsed
-
-post-patch {
-    # The configure script should use GNU sed
-    reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
-}
-
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
-
-build.target
-
-set languages   {typemaps java}
-set docdir      ${prefix}/share/doc/${name}-${version}
-
-test.run        yes
-test.target     check
-
-pre-destroot {
-    # This must be evaluated after variants selection.
-    destroot.args   lib-languages="[join ${languages}]"
-}
-
-post-destroot {
-    xinstall -d ${destroot}${docdir}
-    xinstall -m 0644 -W ${worksrcpath} ANNOUNCE CHANGES FUTURE LICENSE NEW README \
-        TODO ${destroot}${docdir}
-}
-
-variant doc description {Install extra documentation} {
-    post-destroot {
-        xinstall -d ${destroot}${docdir}/html
-        eval xinstall -m 0644 [glob ${worksrcpath}/Doc/Manual/*.{css,html,pdf,png}] \
-            ${destroot}${docdir}/html
-    }
-}
-
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
-livecheck.type      sourceforge
-livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
Index: swig-chicken/Portfile
===================================================================
--- swig-chicken/Portfile	(revision 59851)
+++ swig-chicken/Portfile	(working copy)
@@ -1,107 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
+PortGroup swigbinding 1.0
 
-name		swig
-version		1.3.40
+swigbinding-setup   chicken Chicken
+version             1.3.40
 
-categories	devel
-maintainers	kevin jwa
+maintainers         nomaintainer
 
-description	Tool to wrap C/C++ libraries in high-level languages.
-long_description	\
-    SWIG is a software development tool that connects programs written in C \
-    and C++ with a variety of high-level programming languages. SWIG is \
-    primarily used with common scripting languages such as Perl, Python, \
-    Tcl/Tk, Ruby, Guile and MzScheme, however the list of supported languages \
-    also includes non-scripting languages such as Java and OCAML. SWIG is \
-    most commonly used to create high-level interpreted programming \
-    environments, user interfaces, and as a tool for testing and \
-    prototyping C/C++ software. SWIG may be freely used, distributed, and \
-    modified for commercial and noncommercial use.
-
-homepage	http://www.swig.org/
-platforms	darwin
-master_sites	sourceforge
 checksums           md5     2df766c9e03e02811b1ab4bba1c7b9cc \
                     sha1    7e7a426579f2d2d967b731abf062b33aa894fb4e \
                     rmd160  318a59b0ea2b20ca987f7e662e0d7138c869295a
-
-
-depends_build	port:bison \
-    port:gsed
-
-post-patch {
-    # The configure script should use GNU sed
-    reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
-}
-
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
-
-build.target
-
-set languages   {typemaps java}
-set docdir      ${prefix}/share/doc/${name}-${version}
-
-test.run        yes
-test.target     check
-
-pre-destroot {
-    # This must be evaluated after variants selection.
-    destroot.args   lib-languages="[join ${languages}]"
-}
-
-post-destroot {
-    xinstall -d ${destroot}${docdir}
-    xinstall -m 0644 -W ${worksrcpath} ANNOUNCE CHANGES FUTURE LICENSE NEW README \
-        TODO ${destroot}${docdir}
-}
-
-variant doc description {Install extra documentation} {
-    post-destroot {
-        xinstall -d ${destroot}${docdir}/html
-        eval xinstall -m 0644 [glob ${worksrcpath}/Doc/Manual/*.{css,html,pdf,png}] \
-            ${destroot}${docdir}/html
-    }
-}
-
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
-livecheck.type      sourceforge
-livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
Index: swig-clisp/Portfile
===================================================================
--- swig-clisp/Portfile	(revision 59851)
+++ swig-clisp/Portfile	(working copy)
@@ -1,107 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
+PortGroup swigbinding 1.0
 
-name		swig
-version		1.3.40
+swigbinding-setup   clisp CLISP
+version             1.3.40
 
-categories	devel
-maintainers	kevin jwa
+maintainers         nomaintainer
 
-description	Tool to wrap C/C++ libraries in high-level languages.
-long_description	\
-    SWIG is a software development tool that connects programs written in C \
-    and C++ with a variety of high-level programming languages. SWIG is \
-    primarily used with common scripting languages such as Perl, Python, \
-    Tcl/Tk, Ruby, Guile and MzScheme, however the list of supported languages \
-    also includes non-scripting languages such as Java and OCAML. SWIG is \
-    most commonly used to create high-level interpreted programming \
-    environments, user interfaces, and as a tool for testing and \
-    prototyping C/C++ software. SWIG may be freely used, distributed, and \
-    modified for commercial and noncommercial use.
-
-homepage	http://www.swig.org/
-platforms	darwin
-master_sites	sourceforge
 checksums           md5     2df766c9e03e02811b1ab4bba1c7b9cc \
                     sha1    7e7a426579f2d2d967b731abf062b33aa894fb4e \
                     rmd160  318a59b0ea2b20ca987f7e662e0d7138c869295a
-
-
-depends_build	port:bison \
-    port:gsed
-
-post-patch {
-    # The configure script should use GNU sed
-    reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
-}
-
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
-
-build.target
-
-set languages   {typemaps java}
-set docdir      ${prefix}/share/doc/${name}-${version}
-
-test.run        yes
-test.target     check
-
-pre-destroot {
-    # This must be evaluated after variants selection.
-    destroot.args   lib-languages="[join ${languages}]"
-}
-
-post-destroot {
-    xinstall -d ${destroot}${docdir}
-    xinstall -m 0644 -W ${worksrcpath} ANNOUNCE CHANGES FUTURE LICENSE NEW README \
-        TODO ${destroot}${docdir}
-}
-
-variant doc description {Install extra documentation} {
-    post-destroot {
-        xinstall -d ${destroot}${docdir}/html
-        eval xinstall -m 0644 [glob ${worksrcpath}/Doc/Manual/*.{css,html,pdf,png}] \
-            ${destroot}${docdir}/html
-    }
-}
-
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
-livecheck.type      sourceforge
-livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
Index: swig-csharp/Portfile
===================================================================
--- swig-csharp/Portfile	(revision 59851)
+++ swig-csharp/Portfile	(working copy)
@@ -1,107 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
+PortGroup swigbinding 1.0
 
-name		swig
-version		1.3.40
+swigbinding-setup   csharp "C#"
+version             1.3.40
 
-categories	devel
-maintainers	kevin jwa
+maintainers         nomaintainer
 
-description	Tool to wrap C/C++ libraries in high-level languages.
-long_description	\
-    SWIG is a software development tool that connects programs written in C \
-    and C++ with a variety of high-level programming languages. SWIG is \
-    primarily used with common scripting languages such as Perl, Python, \
-    Tcl/Tk, Ruby, Guile and MzScheme, however the list of supported languages \
-    also includes non-scripting languages such as Java and OCAML. SWIG is \
-    most commonly used to create high-level interpreted programming \
-    environments, user interfaces, and as a tool for testing and \
-    prototyping C/C++ software. SWIG may be freely used, distributed, and \
-    modified for commercial and noncommercial use.
-
-homepage	http://www.swig.org/
-platforms	darwin
-master_sites	sourceforge
 checksums           md5     2df766c9e03e02811b1ab4bba1c7b9cc \
                     sha1    7e7a426579f2d2d967b731abf062b33aa894fb4e \
                     rmd160  318a59b0ea2b20ca987f7e662e0d7138c869295a
-
-
-depends_build	port:bison \
-    port:gsed
-
-post-patch {
-    # The configure script should use GNU sed
-    reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
-}
-
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
-
-build.target
-
-set languages   {typemaps java}
-set docdir      ${prefix}/share/doc/${name}-${version}
-
-test.run        yes
-test.target     check
-
-pre-destroot {
-    # This must be evaluated after variants selection.
-    destroot.args   lib-languages="[join ${languages}]"
-}
-
-post-destroot {
-    xinstall -d ${destroot}${docdir}
-    xinstall -m 0644 -W ${worksrcpath} ANNOUNCE CHANGES FUTURE LICENSE NEW README \
-        TODO ${destroot}${docdir}
-}
-
-variant doc description {Install extra documentation} {
-    post-destroot {
-        xinstall -d ${destroot}${docdir}/html
-        eval xinstall -m 0644 [glob ${worksrcpath}/Doc/Manual/*.{css,html,pdf,png}] \
-            ${destroot}${docdir}/html
-    }
-}
-
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
-livecheck.type      sourceforge
-livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
Index: swig-gcj/Portfile
===================================================================
--- swig-gcj/Portfile	(revision 59851)
+++ swig-gcj/Portfile	(working copy)
@@ -1,107 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
+PortGroup swigbinding 1.0
 
-name		swig
-version		1.3.40
+swigbinding-setup   gcj GCJ
+version             1.3.40
 
-categories	devel
-maintainers	kevin jwa
+maintainers         nomaintainer
 
-description	Tool to wrap C/C++ libraries in high-level languages.
-long_description	\
-    SWIG is a software development tool that connects programs written in C \
-    and C++ with a variety of high-level programming languages. SWIG is \
-    primarily used with common scripting languages such as Perl, Python, \
-    Tcl/Tk, Ruby, Guile and MzScheme, however the list of supported languages \
-    also includes non-scripting languages such as Java and OCAML. SWIG is \
-    most commonly used to create high-level interpreted programming \
-    environments, user interfaces, and as a tool for testing and \
-    prototyping C/C++ software. SWIG may be freely used, distributed, and \
-    modified for commercial and noncommercial use.
-
-homepage	http://www.swig.org/
-platforms	darwin
-master_sites	sourceforge
 checksums           md5     2df766c9e03e02811b1ab4bba1c7b9cc \
                     sha1    7e7a426579f2d2d967b731abf062b33aa894fb4e \
                     rmd160  318a59b0ea2b20ca987f7e662e0d7138c869295a
-
-
-depends_build	port:bison \
-    port:gsed
-
-post-patch {
-    # The configure script should use GNU sed
-    reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
-}
-
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
-
-build.target
-
-set languages   {typemaps java}
-set docdir      ${prefix}/share/doc/${name}-${version}
-
-test.run        yes
-test.target     check
-
-pre-destroot {
-    # This must be evaluated after variants selection.
-    destroot.args   lib-languages="[join ${languages}]"
-}
-
-post-destroot {
-    xinstall -d ${destroot}${docdir}
-    xinstall -m 0644 -W ${worksrcpath} ANNOUNCE CHANGES FUTURE LICENSE NEW README \
-        TODO ${destroot}${docdir}
-}
-
-variant doc description {Install extra documentation} {
-    post-destroot {
-        xinstall -d ${destroot}${docdir}/html
-        eval xinstall -m 0644 [glob ${worksrcpath}/Doc/Manual/*.{css,html,pdf,png}] \
-            ${destroot}${docdir}/html
-    }
-}
-
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
-livecheck.type      sourceforge
-livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
Index: swig-guile/Portfile
===================================================================
--- swig-guile/Portfile	(revision 59851)
+++ swig-guile/Portfile	(working copy)
@@ -1,107 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
+PortGroup swigbinding 1.0
 
-name		swig
-version		1.3.40
+swigbinding-setup   guile Guile
+version             1.3.40
 
-categories	devel
-maintainers	kevin jwa
+maintainers         nomaintainer
 
-description	Tool to wrap C/C++ libraries in high-level languages.
-long_description	\
-    SWIG is a software development tool that connects programs written in C \
-    and C++ with a variety of high-level programming languages. SWIG is \
-    primarily used with common scripting languages such as Perl, Python, \
-    Tcl/Tk, Ruby, Guile and MzScheme, however the list of supported languages \
-    also includes non-scripting languages such as Java and OCAML. SWIG is \
-    most commonly used to create high-level interpreted programming \
-    environments, user interfaces, and as a tool for testing and \
-    prototyping C/C++ software. SWIG may be freely used, distributed, and \
-    modified for commercial and noncommercial use.
-
-homepage	http://www.swig.org/
-platforms	darwin
-master_sites	sourceforge
 checksums           md5     2df766c9e03e02811b1ab4bba1c7b9cc \
                     sha1    7e7a426579f2d2d967b731abf062b33aa894fb4e \
                     rmd160  318a59b0ea2b20ca987f7e662e0d7138c869295a
-
-
-depends_build	port:bison \
-    port:gsed
-
-post-patch {
-    # The configure script should use GNU sed
-    reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
-}
-
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
-
-build.target
-
-set languages   {typemaps java}
-set docdir      ${prefix}/share/doc/${name}-${version}
-
-test.run        yes
-test.target     check
-
-pre-destroot {
-    # This must be evaluated after variants selection.
-    destroot.args   lib-languages="[join ${languages}]"
-}
-
-post-destroot {
-    xinstall -d ${destroot}${docdir}
-    xinstall -m 0644 -W ${worksrcpath} ANNOUNCE CHANGES FUTURE LICENSE NEW README \
-        TODO ${destroot}${docdir}
-}
-
-variant doc description {Install extra documentation} {
-    post-destroot {
-        xinstall -d ${destroot}${docdir}/html
-        eval xinstall -m 0644 [glob ${worksrcpath}/Doc/Manual/*.{css,html,pdf,png}] \
-            ${destroot}${docdir}/html
-    }
-}
-
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
-livecheck.type      sourceforge
-livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
Index: swig-java/Portfile
===================================================================
--- swig-java/Portfile	(revision 59851)
+++ swig-java/Portfile	(working copy)
@@ -1,107 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
+PortGroup swigbinding 1.0
 
-name		swig
-version		1.3.40
+swigbinding-setup   java Java
+version             1.3.40
 
-categories	devel
-maintainers	kevin jwa
+maintainers         nomaintainer
 
-description	Tool to wrap C/C++ libraries in high-level languages.
-long_description	\
-    SWIG is a software development tool that connects programs written in C \
-    and C++ with a variety of high-level programming languages. SWIG is \
-    primarily used with common scripting languages such as Perl, Python, \
-    Tcl/Tk, Ruby, Guile and MzScheme, however the list of supported languages \
-    also includes non-scripting languages such as Java and OCAML. SWIG is \
-    most commonly used to create high-level interpreted programming \
-    environments, user interfaces, and as a tool for testing and \
-    prototyping C/C++ software. SWIG may be freely used, distributed, and \
-    modified for commercial and noncommercial use.
-
-homepage	http://www.swig.org/
-platforms	darwin
-master_sites	sourceforge
 checksums           md5     2df766c9e03e02811b1ab4bba1c7b9cc \
                     sha1    7e7a426579f2d2d967b731abf062b33aa894fb4e \
                     rmd160  318a59b0ea2b20ca987f7e662e0d7138c869295a
-
-
-depends_build	port:bison \
-    port:gsed
-
-post-patch {
-    # The configure script should use GNU sed
-    reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
-}
-
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
-
-build.target
-
-set languages   {typemaps java}
-set docdir      ${prefix}/share/doc/${name}-${version}
-
-test.run        yes
-test.target     check
-
-pre-destroot {
-    # This must be evaluated after variants selection.
-    destroot.args   lib-languages="[join ${languages}]"
-}
-
-post-destroot {
-    xinstall -d ${destroot}${docdir}
-    xinstall -m 0644 -W ${worksrcpath} ANNOUNCE CHANGES FUTURE LICENSE NEW README \
-        TODO ${destroot}${docdir}
-}
-
-variant doc description {Install extra documentation} {
-    post-destroot {
-        xinstall -d ${destroot}${docdir}/html
-        eval xinstall -m 0644 [glob ${worksrcpath}/Doc/Manual/*.{css,html,pdf,png}] \
-            ${destroot}${docdir}/html
-    }
-}
-
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
-livecheck.type      sourceforge
-livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
Index: swig-lua/Portfile
===================================================================
--- swig-lua/Portfile	(revision 59851)
+++ swig-lua/Portfile	(working copy)
@@ -1,107 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
+PortGroup swigbinding 1.0
 
-name		swig
-version		1.3.40
+swigbinding-setup   lua Lua
+version             1.3.40
 
-categories	devel
-maintainers	kevin jwa
+maintainers         nomaintainer
 
-description	Tool to wrap C/C++ libraries in high-level languages.
-long_description	\
-    SWIG is a software development tool that connects programs written in C \
-    and C++ with a variety of high-level programming languages. SWIG is \
-    primarily used with common scripting languages such as Perl, Python, \
-    Tcl/Tk, Ruby, Guile and MzScheme, however the list of supported languages \
-    also includes non-scripting languages such as Java and OCAML. SWIG is \
-    most commonly used to create high-level interpreted programming \
-    environments, user interfaces, and as a tool for testing and \
-    prototyping C/C++ software. SWIG may be freely used, distributed, and \
-    modified for commercial and noncommercial use.
-
-homepage	http://www.swig.org/
-platforms	darwin
-master_sites	sourceforge
 checksums           md5     2df766c9e03e02811b1ab4bba1c7b9cc \
                     sha1    7e7a426579f2d2d967b731abf062b33aa894fb4e \
                     rmd160  318a59b0ea2b20ca987f7e662e0d7138c869295a
-
-
-depends_build	port:bison \
-    port:gsed
-
-post-patch {
-    # The configure script should use GNU sed
-    reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
-}
-
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
-
-build.target
-
-set languages   {typemaps java}
-set docdir      ${prefix}/share/doc/${name}-${version}
-
-test.run        yes
-test.target     check
-
-pre-destroot {
-    # This must be evaluated after variants selection.
-    destroot.args   lib-languages="[join ${languages}]"
-}
-
-post-destroot {
-    xinstall -d ${destroot}${docdir}
-    xinstall -m 0644 -W ${worksrcpath} ANNOUNCE CHANGES FUTURE LICENSE NEW README \
-        TODO ${destroot}${docdir}
-}
-
-variant doc description {Install extra documentation} {
-    post-destroot {
-        xinstall -d ${destroot}${docdir}/html
-        eval xinstall -m 0644 [glob ${worksrcpath}/Doc/Manual/*.{css,html,pdf,png}] \
-            ${destroot}${docdir}/html
-    }
-}
-
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
-livecheck.type      sourceforge
-livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
Index: swig-mzscheme/Portfile
===================================================================
--- swig-mzscheme/Portfile	(revision 59851)
+++ swig-mzscheme/Portfile	(working copy)
@@ -1,107 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
+PortGroup swigbinding 1.0
 
-name		swig
-version		1.3.40
+swigbinding-setup   mzscheme MzScheme
+version             1.3.40
 
-categories	devel
-maintainers	kevin jwa
+maintainers         nomaintainer
 
-description	Tool to wrap C/C++ libraries in high-level languages.
-long_description	\
-    SWIG is a software development tool that connects programs written in C \
-    and C++ with a variety of high-level programming languages. SWIG is \
-    primarily used with common scripting languages such as Perl, Python, \
-    Tcl/Tk, Ruby, Guile and MzScheme, however the list of supported languages \
-    also includes non-scripting languages such as Java and OCAML. SWIG is \
-    most commonly used to create high-level interpreted programming \
-    environments, user interfaces, and as a tool for testing and \
-    prototyping C/C++ software. SWIG may be freely used, distributed, and \
-    modified for commercial and noncommercial use.
-
-homepage	http://www.swig.org/
-platforms	darwin
-master_sites	sourceforge
 checksums           md5     2df766c9e03e02811b1ab4bba1c7b9cc \
                     sha1    7e7a426579f2d2d967b731abf062b33aa894fb4e \
                     rmd160  318a59b0ea2b20ca987f7e662e0d7138c869295a
-
-
-depends_build	port:bison \
-    port:gsed
-
-post-patch {
-    # The configure script should use GNU sed
-    reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
-}
-
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
-
-build.target
-
-set languages   {typemaps java}
-set docdir      ${prefix}/share/doc/${name}-${version}
-
-test.run        yes
-test.target     check
-
-pre-destroot {
-    # This must be evaluated after variants selection.
-    destroot.args   lib-languages="[join ${languages}]"
-}
-
-post-destroot {
-    xinstall -d ${destroot}${docdir}
-    xinstall -m 0644 -W ${worksrcpath} ANNOUNCE CHANGES FUTURE LICENSE NEW README \
-        TODO ${destroot}${docdir}
-}
-
-variant doc description {Install extra documentation} {
-    post-destroot {
-        xinstall -d ${destroot}${docdir}/html
-        eval xinstall -m 0644 [glob ${worksrcpath}/Doc/Manual/*.{css,html,pdf,png}] \
-            ${destroot}${docdir}/html
-    }
-}
-
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
-livecheck.type      sourceforge
-livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
Index: swig-ocaml/Portfile
===================================================================
--- swig-ocaml/Portfile	(revision 59851)
+++ swig-ocaml/Portfile	(working copy)
@@ -1,107 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
+PortGroup swigbinding 1.0
 
-name		swig
-version		1.3.40
+swigbinding-setup   ocaml "Objective Caml"
+version             1.3.40
 
-categories	devel
-maintainers	kevin jwa
+maintainers         nomaintainer
 
-description	Tool to wrap C/C++ libraries in high-level languages.
-long_description	\
-    SWIG is a software development tool that connects programs written in C \
-    and C++ with a variety of high-level programming languages. SWIG is \
-    primarily used with common scripting languages such as Perl, Python, \
-    Tcl/Tk, Ruby, Guile and MzScheme, however the list of supported languages \
-    also includes non-scripting languages such as Java and OCAML. SWIG is \
-    most commonly used to create high-level interpreted programming \
-    environments, user interfaces, and as a tool for testing and \
-    prototyping C/C++ software. SWIG may be freely used, distributed, and \
-    modified for commercial and noncommercial use.
-
-homepage	http://www.swig.org/
-platforms	darwin
-master_sites	sourceforge
 checksums           md5     2df766c9e03e02811b1ab4bba1c7b9cc \
                     sha1    7e7a426579f2d2d967b731abf062b33aa894fb4e \
                     rmd160  318a59b0ea2b20ca987f7e662e0d7138c869295a
-
-
-depends_build	port:bison \
-    port:gsed
-
-post-patch {
-    # The configure script should use GNU sed
-    reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
-}
-
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
-
-build.target
-
-set languages   {typemaps java}
-set docdir      ${prefix}/share/doc/${name}-${version}
-
-test.run        yes
-test.target     check
-
-pre-destroot {
-    # This must be evaluated after variants selection.
-    destroot.args   lib-languages="[join ${languages}]"
-}
-
-post-destroot {
-    xinstall -d ${destroot}${docdir}
-    xinstall -m 0644 -W ${worksrcpath} ANNOUNCE CHANGES FUTURE LICENSE NEW README \
-        TODO ${destroot}${docdir}
-}
-
-variant doc description {Install extra documentation} {
-    post-destroot {
-        xinstall -d ${destroot}${docdir}/html
-        eval xinstall -m 0644 [glob ${worksrcpath}/Doc/Manual/*.{css,html,pdf,png}] \
-            ${destroot}${docdir}/html
-    }
-}
-
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
-livecheck.type      sourceforge
-livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
Index: swig-octave/Portfile
===================================================================
--- swig-octave/Portfile	(revision 59851)
+++ swig-octave/Portfile	(working copy)
@@ -1,107 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
+PortGroup swigbinding 1.0
 
-name		swig
-version		1.3.40
+swigbinding-setup   octave Octave
+version             1.3.40
 
-categories	devel
-maintainers	kevin jwa
+maintainers         nomaintainer
 
-description	Tool to wrap C/C++ libraries in high-level languages.
-long_description	\
-    SWIG is a software development tool that connects programs written in C \
-    and C++ with a variety of high-level programming languages. SWIG is \
-    primarily used with common scripting languages such as Perl, Python, \
-    Tcl/Tk, Ruby, Guile and MzScheme, however the list of supported languages \
-    also includes non-scripting languages such as Java and OCAML. SWIG is \
-    most commonly used to create high-level interpreted programming \
-    environments, user interfaces, and as a tool for testing and \
-    prototyping C/C++ software. SWIG may be freely used, distributed, and \
-    modified for commercial and noncommercial use.
-
-homepage	http://www.swig.org/
-platforms	darwin
-master_sites	sourceforge
 checksums           md5     2df766c9e03e02811b1ab4bba1c7b9cc \
                     sha1    7e7a426579f2d2d967b731abf062b33aa894fb4e \
                     rmd160  318a59b0ea2b20ca987f7e662e0d7138c869295a
-
-
-depends_build	port:bison \
-    port:gsed
-
-post-patch {
-    # The configure script should use GNU sed
-    reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
-}
-
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
-
-build.target
-
-set languages   {typemaps java}
-set docdir      ${prefix}/share/doc/${name}-${version}
-
-test.run        yes
-test.target     check
-
-pre-destroot {
-    # This must be evaluated after variants selection.
-    destroot.args   lib-languages="[join ${languages}]"
-}
-
-post-destroot {
-    xinstall -d ${destroot}${docdir}
-    xinstall -m 0644 -W ${worksrcpath} ANNOUNCE CHANGES FUTURE LICENSE NEW README \
-        TODO ${destroot}${docdir}
-}
-
-variant doc description {Install extra documentation} {
-    post-destroot {
-        xinstall -d ${destroot}${docdir}/html
-        eval xinstall -m 0644 [glob ${worksrcpath}/Doc/Manual/*.{css,html,pdf,png}] \
-            ${destroot}${docdir}/html
-    }
-}
-
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
-livecheck.type      sourceforge
-livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
Index: swig-perl/Portfile
===================================================================
--- swig-perl/Portfile	(revision 59851)
+++ swig-perl/Portfile	(working copy)
@@ -1,107 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
+PortGroup swigbinding 1.0
 
-name		swig
-version		1.3.40
+swigbinding-setup   perl Perl
+version             1.3.40
 
-categories	devel
-maintainers	kevin jwa
+maintainers         nomaintainer
 
-description	Tool to wrap C/C++ libraries in high-level languages.
-long_description	\
-    SWIG is a software development tool that connects programs written in C \
-    and C++ with a variety of high-level programming languages. SWIG is \
-    primarily used with common scripting languages such as Perl, Python, \
-    Tcl/Tk, Ruby, Guile and MzScheme, however the list of supported languages \
-    also includes non-scripting languages such as Java and OCAML. SWIG is \
-    most commonly used to create high-level interpreted programming \
-    environments, user interfaces, and as a tool for testing and \
-    prototyping C/C++ software. SWIG may be freely used, distributed, and \
-    modified for commercial and noncommercial use.
-
-homepage	http://www.swig.org/
-platforms	darwin
-master_sites	sourceforge
 checksums           md5     2df766c9e03e02811b1ab4bba1c7b9cc \
                     sha1    7e7a426579f2d2d967b731abf062b33aa894fb4e \
                     rmd160  318a59b0ea2b20ca987f7e662e0d7138c869295a
-
-
-depends_build	port:bison \
-    port:gsed
-
-post-patch {
-    # The configure script should use GNU sed
-    reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
-}
-
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
-
-build.target
-
-set languages   {typemaps java}
-set docdir      ${prefix}/share/doc/${name}-${version}
-
-test.run        yes
-test.target     check
-
-pre-destroot {
-    # This must be evaluated after variants selection.
-    destroot.args   lib-languages="[join ${languages}]"
-}
-
-post-destroot {
-    xinstall -d ${destroot}${docdir}
-    xinstall -m 0644 -W ${worksrcpath} ANNOUNCE CHANGES FUTURE LICENSE NEW README \
-        TODO ${destroot}${docdir}
-}
-
-variant doc description {Install extra documentation} {
-    post-destroot {
-        xinstall -d ${destroot}${docdir}/html
-        eval xinstall -m 0644 [glob ${worksrcpath}/Doc/Manual/*.{css,html,pdf,png}] \
-            ${destroot}${docdir}/html
-    }
-}
-
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
-livecheck.type      sourceforge
-livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
Index: swig-php5/Portfile
===================================================================
--- swig-php5/Portfile	(revision 59851)
+++ swig-php5/Portfile	(working copy)
@@ -1,107 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
+PortGroup swigbinding 1.0
 
-name		swig
-version		1.3.40
+swigbinding-setup   php5 "PHP 5"
+version             1.3.40
 
-categories	devel
-maintainers	kevin jwa
+maintainers         nomaintainer
 
-description	Tool to wrap C/C++ libraries in high-level languages.
-long_description	\
-    SWIG is a software development tool that connects programs written in C \
-    and C++ with a variety of high-level programming languages. SWIG is \
-    primarily used with common scripting languages such as Perl, Python, \
-    Tcl/Tk, Ruby, Guile and MzScheme, however the list of supported languages \
-    also includes non-scripting languages such as Java and OCAML. SWIG is \
-    most commonly used to create high-level interpreted programming \
-    environments, user interfaces, and as a tool for testing and \
-    prototyping C/C++ software. SWIG may be freely used, distributed, and \
-    modified for commercial and noncommercial use.
-
-homepage	http://www.swig.org/
-platforms	darwin
-master_sites	sourceforge
 checksums           md5     2df766c9e03e02811b1ab4bba1c7b9cc \
                     sha1    7e7a426579f2d2d967b731abf062b33aa894fb4e \
                     rmd160  318a59b0ea2b20ca987f7e662e0d7138c869295a
-
-
-depends_build	port:bison \
-    port:gsed
-
-post-patch {
-    # The configure script should use GNU sed
-    reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
-}
-
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
-
-build.target
-
-set languages   {typemaps java}
-set docdir      ${prefix}/share/doc/${name}-${version}
-
-test.run        yes
-test.target     check
-
-pre-destroot {
-    # This must be evaluated after variants selection.
-    destroot.args   lib-languages="[join ${languages}]"
-}
-
-post-destroot {
-    xinstall -d ${destroot}${docdir}
-    xinstall -m 0644 -W ${worksrcpath} ANNOUNCE CHANGES FUTURE LICENSE NEW README \
-        TODO ${destroot}${docdir}
-}
-
-variant doc description {Install extra documentation} {
-    post-destroot {
-        xinstall -d ${destroot}${docdir}/html
-        eval xinstall -m 0644 [glob ${worksrcpath}/Doc/Manual/*.{css,html,pdf,png}] \
-            ${destroot}${docdir}/html
-    }
-}
-
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
-livecheck.type      sourceforge
-livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
Index: swig-pike/Portfile
===================================================================
--- swig-pike/Portfile	(revision 59851)
+++ swig-pike/Portfile	(working copy)
@@ -1,107 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
+PortGroup swigbinding 1.0
 
-name		swig
-version		1.3.40
+swigbinding-setup   pike Pike
+version             1.3.40
 
-categories	devel
-maintainers	kevin jwa
+maintainers         nomaintainer
 
-description	Tool to wrap C/C++ libraries in high-level languages.
-long_description	\
-    SWIG is a software development tool that connects programs written in C \
-    and C++ with a variety of high-level programming languages. SWIG is \
-    primarily used with common scripting languages such as Perl, Python, \
-    Tcl/Tk, Ruby, Guile and MzScheme, however the list of supported languages \
-    also includes non-scripting languages such as Java and OCAML. SWIG is \
-    most commonly used to create high-level interpreted programming \
-    environments, user interfaces, and as a tool for testing and \
-    prototyping C/C++ software. SWIG may be freely used, distributed, and \
-    modified for commercial and noncommercial use.
-
-homepage	http://www.swig.org/
-platforms	darwin
-master_sites	sourceforge
 checksums           md5     2df766c9e03e02811b1ab4bba1c7b9cc \
                     sha1    7e7a426579f2d2d967b731abf062b33aa894fb4e \
                     rmd160  318a59b0ea2b20ca987f7e662e0d7138c869295a
-
-
-depends_build	port:bison \
-    port:gsed
-
-post-patch {
-    # The configure script should use GNU sed
-    reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
-}
-
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
-
-build.target
-
-set languages   {typemaps java}
-set docdir      ${prefix}/share/doc/${name}-${version}
-
-test.run        yes
-test.target     check
-
-pre-destroot {
-    # This must be evaluated after variants selection.
-    destroot.args   lib-languages="[join ${languages}]"
-}
-
-post-destroot {
-    xinstall -d ${destroot}${docdir}
-    xinstall -m 0644 -W ${worksrcpath} ANNOUNCE CHANGES FUTURE LICENSE NEW README \
-        TODO ${destroot}${docdir}
-}
-
-variant doc description {Install extra documentation} {
-    post-destroot {
-        xinstall -d ${destroot}${docdir}/html
-        eval xinstall -m 0644 [glob ${worksrcpath}/Doc/Manual/*.{css,html,pdf,png}] \
-            ${destroot}${docdir}/html
-    }
-}
-
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
-livecheck.type      sourceforge
-livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
Index: swig-python/Portfile
===================================================================
--- swig-python/Portfile	(revision 59851)
+++ swig-python/Portfile	(working copy)
@@ -1,107 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
+PortGroup swigbinding 1.0
 
-name		swig
-version		1.3.40
+swigbinding-setup   python Python
+version             1.3.40
 
-categories	devel
-maintainers	kevin jwa
+maintainers         nomaintainer
 
-description	Tool to wrap C/C++ libraries in high-level languages.
-long_description	\
-    SWIG is a software development tool that connects programs written in C \
-    and C++ with a variety of high-level programming languages. SWIG is \
-    primarily used with common scripting languages such as Perl, Python, \
-    Tcl/Tk, Ruby, Guile and MzScheme, however the list of supported languages \
-    also includes non-scripting languages such as Java and OCAML. SWIG is \
-    most commonly used to create high-level interpreted programming \
-    environments, user interfaces, and as a tool for testing and \
-    prototyping C/C++ software. SWIG may be freely used, distributed, and \
-    modified for commercial and noncommercial use.
-
-homepage	http://www.swig.org/
-platforms	darwin
-master_sites	sourceforge
 checksums           md5     2df766c9e03e02811b1ab4bba1c7b9cc \
                     sha1    7e7a426579f2d2d967b731abf062b33aa894fb4e \
                     rmd160  318a59b0ea2b20ca987f7e662e0d7138c869295a
-
-
-depends_build	port:bison \
-    port:gsed
-
-post-patch {
-    # The configure script should use GNU sed
-    reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
-}
-
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
-
-build.target
-
-set languages   {typemaps java}
-set docdir      ${prefix}/share/doc/${name}-${version}
-
-test.run        yes
-test.target     check
-
-pre-destroot {
-    # This must be evaluated after variants selection.
-    destroot.args   lib-languages="[join ${languages}]"
-}
-
-post-destroot {
-    xinstall -d ${destroot}${docdir}
-    xinstall -m 0644 -W ${worksrcpath} ANNOUNCE CHANGES FUTURE LICENSE NEW README \
-        TODO ${destroot}${docdir}
-}
-
-variant doc description {Install extra documentation} {
-    post-destroot {
-        xinstall -d ${destroot}${docdir}/html
-        eval xinstall -m 0644 [glob ${worksrcpath}/Doc/Manual/*.{css,html,pdf,png}] \
-            ${destroot}${docdir}/html
-    }
-}
-
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
-livecheck.type      sourceforge
-livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
Index: swig-r/Portfile
===================================================================
--- swig-r/Portfile	(revision 59851)
+++ swig-r/Portfile	(working copy)
@@ -1,107 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
+PortGroup swigbinding 1.0
 
-name		swig
-version		1.3.40
+swigbinding-setup   r R
+version             1.3.40
 
-categories	devel
-maintainers	kevin jwa
+maintainers         nomaintainer
 
-description	Tool to wrap C/C++ libraries in high-level languages.
-long_description	\
-    SWIG is a software development tool that connects programs written in C \
-    and C++ with a variety of high-level programming languages. SWIG is \
-    primarily used with common scripting languages such as Perl, Python, \
-    Tcl/Tk, Ruby, Guile and MzScheme, however the list of supported languages \
-    also includes non-scripting languages such as Java and OCAML. SWIG is \
-    most commonly used to create high-level interpreted programming \
-    environments, user interfaces, and as a tool for testing and \
-    prototyping C/C++ software. SWIG may be freely used, distributed, and \
-    modified for commercial and noncommercial use.
-
-homepage	http://www.swig.org/
-platforms	darwin
-master_sites	sourceforge
 checksums           md5     2df766c9e03e02811b1ab4bba1c7b9cc \
                     sha1    7e7a426579f2d2d967b731abf062b33aa894fb4e \
                     rmd160  318a59b0ea2b20ca987f7e662e0d7138c869295a
-
-
-depends_build	port:bison \
-    port:gsed
-
-post-patch {
-    # The configure script should use GNU sed
-    reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
-}
-
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
-
-build.target
-
-set languages   {typemaps java}
-set docdir      ${prefix}/share/doc/${name}-${version}
-
-test.run        yes
-test.target     check
-
-pre-destroot {
-    # This must be evaluated after variants selection.
-    destroot.args   lib-languages="[join ${languages}]"
-}
-
-post-destroot {
-    xinstall -d ${destroot}${docdir}
-    xinstall -m 0644 -W ${worksrcpath} ANNOUNCE CHANGES FUTURE LICENSE NEW README \
-        TODO ${destroot}${docdir}
-}
-
-variant doc description {Install extra documentation} {
-    post-destroot {
-        xinstall -d ${destroot}${docdir}/html
-        eval xinstall -m 0644 [glob ${worksrcpath}/Doc/Manual/*.{css,html,pdf,png}] \
-            ${destroot}${docdir}/html
-    }
-}
-
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
-livecheck.type      sourceforge
-livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
Index: swig-ruby/Portfile
===================================================================
--- swig-ruby/Portfile	(revision 59851)
+++ swig-ruby/Portfile	(working copy)
@@ -1,107 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
+PortGroup swigbinding 1.0
 
-name		swig
-version		1.3.40
+swigbinding-setup   ruby Ruby
+version             1.3.40
 
-categories	devel
-maintainers	kevin jwa
+maintainers         nomaintainer
 
-description	Tool to wrap C/C++ libraries in high-level languages.
-long_description	\
-    SWIG is a software development tool that connects programs written in C \
-    and C++ with a variety of high-level programming languages. SWIG is \
-    primarily used with common scripting languages such as Perl, Python, \
-    Tcl/Tk, Ruby, Guile and MzScheme, however the list of supported languages \
-    also includes non-scripting languages such as Java and OCAML. SWIG is \
-    most commonly used to create high-level interpreted programming \
-    environments, user interfaces, and as a tool for testing and \
-    prototyping C/C++ software. SWIG may be freely used, distributed, and \
-    modified for commercial and noncommercial use.
-
-homepage	http://www.swig.org/
-platforms	darwin
-master_sites	sourceforge
 checksums           md5     2df766c9e03e02811b1ab4bba1c7b9cc \
                     sha1    7e7a426579f2d2d967b731abf062b33aa894fb4e \
                     rmd160  318a59b0ea2b20ca987f7e662e0d7138c869295a
-
-
-depends_build	port:bison \
-    port:gsed
-
-post-patch {
-    # The configure script should use GNU sed
-    reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
-}
-
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
-
-build.target
-
-set languages   {typemaps java}
-set docdir      ${prefix}/share/doc/${name}-${version}
-
-test.run        yes
-test.target     check
-
-pre-destroot {
-    # This must be evaluated after variants selection.
-    destroot.args   lib-languages="[join ${languages}]"
-}
-
-post-destroot {
-    xinstall -d ${destroot}${docdir}
-    xinstall -m 0644 -W ${worksrcpath} ANNOUNCE CHANGES FUTURE LICENSE NEW README \
-        TODO ${destroot}${docdir}
-}
-
-variant doc description {Install extra documentation} {
-    post-destroot {
-        xinstall -d ${destroot}${docdir}/html
-        eval xinstall -m 0644 [glob ${worksrcpath}/Doc/Manual/*.{css,html,pdf,png}] \
-            ${destroot}${docdir}/html
-    }
-}
-
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
-livecheck.type      sourceforge
-livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
Index: swig-tcl/Portfile
===================================================================
--- swig-tcl/Portfile	(revision 59851)
+++ swig-tcl/Portfile	(working copy)
@@ -1,107 +1,14 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
 PortSystem 1.0
+PortGroup swigbinding 1.0
 
-name		swig
-version		1.3.40
+swigbinding-setup   tcl Tcl
+version             1.3.40
 
-categories	devel
-maintainers	kevin jwa
+maintainers         nomaintainer
 
-description	Tool to wrap C/C++ libraries in high-level languages.
-long_description	\
-    SWIG is a software development tool that connects programs written in C \
-    and C++ with a variety of high-level programming languages. SWIG is \
-    primarily used with common scripting languages such as Perl, Python, \
-    Tcl/Tk, Ruby, Guile and MzScheme, however the list of supported languages \
-    also includes non-scripting languages such as Java and OCAML. SWIG is \
-    most commonly used to create high-level interpreted programming \
-    environments, user interfaces, and as a tool for testing and \
-    prototyping C/C++ software. SWIG may be freely used, distributed, and \
-    modified for commercial and noncommercial use.
-
-homepage	http://www.swig.org/
-platforms	darwin
-master_sites	sourceforge
 checksums           md5     2df766c9e03e02811b1ab4bba1c7b9cc \
                     sha1    7e7a426579f2d2d967b731abf062b33aa894fb4e \
                     rmd160  318a59b0ea2b20ca987f7e662e0d7138c869295a
-
-
-depends_build	port:bison \
-    port:gsed
-
-post-patch {
-    # The configure script should use GNU sed
-    reinplace "s/\[\[:<:\]\]sed\[\[:>:\]\]/gsed/g" ${worksrcpath}/configure
-}
-
-default_variants	+python +perl +ruby +php5
-configure.args  --with-java
-
-build.target
-
-set languages   {typemaps java}
-set docdir      ${prefix}/share/doc/${name}-${version}
-
-test.run        yes
-test.target     check
-
-pre-destroot {
-    # This must be evaluated after variants selection.
-    destroot.args   lib-languages="[join ${languages}]"
-}
-
-post-destroot {
-    xinstall -d ${destroot}${docdir}
-    xinstall -m 0644 -W ${worksrcpath} ANNOUNCE CHANGES FUTURE LICENSE NEW README \
-        TODO ${destroot}${docdir}
-}
-
-variant doc description {Install extra documentation} {
-    post-destroot {
-        xinstall -d ${destroot}${docdir}/html
-        eval xinstall -m 0644 [glob ${worksrcpath}/Doc/Manual/*.{css,html,pdf,png}] \
-            ${destroot}${docdir}/html
-    }
-}
-
-set bindings {
-    python      port:python_select     python=${prefix}/bin/python
-    perl        path:bin/perl:perl5    perl5=${prefix}/bin/perl
-    gcj         port:gcc43             "gcj=${prefix}/bin/gcj-mp-4.3 --with-gcjh=${prefix}/bin/gcjh-mp-4.3"
-    guile       port:guile             guile
-    mzscheme    port:mzscheme          mzscheme
-    ruby        port:ruby              ruby
-    php5        path:bin/php:php5      php
-    ocaml       port:ocaml             ocaml
-    pike        port:pike              pike
-    lua         port:lua               lua
-    chicken     port:chicken           chicken
-    allegro     port:allegro           allegrocl
-    clisp       port:clisp             clisp
-    r           port:R                 r
-    tcl         port:tcl               tcl
-    csharp      port:mono              csharp
-    octave      port:octave            octave
-}
-
-foreach {variant port arg} ${bindings} {
-    set arg_name    [lindex [split ${arg} =] 0]
-
-    configure.args-append   --without-${arg_name}
-
-    eval [subst {
-        variant ${variant} {
-            configure.args-delete   --without-${arg_name}
-            configure.args-append   --with-${arg}
-
-            depends_lib-append   ${port}
-
-            lappend languages       ${arg_name}
-        }
-    }]
-}
-
-livecheck.type      sourceforge
-livecheck.regex     <title>${name} ${name}-(.*) released.*</title>
